ru.bitel.bgbilling.modules.inet.api.server.event

## Class RequestLogInfoEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.modules.inet.api.server.event.RequestLogInfoEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class RequestLogInfoEvent
      extends QueueEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RequestLogInfoEvent()`
    `` | `RequestLogInfoEvent(int moduleId, java.util.Date month, int accountingRootDeviceId, int deviceId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLogs(int[] logs)`
    `int` | `getDeviceId()`
    `int[]` | `getLogs()`
    `java.util.Date` | `getMonth()`
    `protected void` | `prepareMessage(javax.jms.Message message)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestLogInfoEvent

          protected RequestLogInfoEvent()

    - #### RequestLogInfoEvent

          public RequestLogInfoEvent(int moduleId,
                                     java.util.Date month,
                                     int accountingRootDeviceId,
                                     int deviceId)

  - ### Method Detail

    - #### getLogs

          public int[] getLogs()

    - #### addLogs

          public void addLogs(int[] logs)

    - #### getMonth

          public java.util.Date getMonth()

    - #### getDeviceId

          public int getDeviceId()

    - #### prepareMessage

          protected void prepareMessage(javax.jms.Message message)
                                 throws javax.jms.JMSException

      Overrides:
        `prepareMessage` in class `Event`
      Throws:
        `javax.jms.JMSException`